Getting Nova exception: "Upgrade DB using Essex release first"

asked 2017-07-12 17:59:51 -0500

Ruchir Nerurkar gravatar image
 Hello folks,

I am trying to install Openstack Ocata on Ubuntu 16.04.2 LTS server and during installation of nova, i am getting the below exception after running the following command: - su -s /bin/sh -c "nova-manage api_db sync" nova

Getting the following error: - An error has occurred: Traceback (most recent call last): File "/usr/lib/python2.7/dist-packages/nova/cmd/manage.py", line 1594, in main ret = fn(fn_args, *fn_kwargs) File "/usr/lib/python2.7/dist-packages/nova/cmd/manage.py", line 644, in sync return migration.db_sync(version) File "/usr/lib/python2.7/dist-packages/nova/db/migration.py", line 26, in db_sync return IMPL.db_sync(version=version, database=database, context=context) File "/usr/lib/python2.7/dist-packages/nova/db/sqlalchemy/migration.py", line 53, in db_sync current_version = db_version(database, context=context) File "/usr/lib/python2.7/dist-packages/nova/db/sqlalchemy/migration.py", line 84, in db_version _("Upgrade DB using Essex release first.")) NovaException: Upgrade DB using Essex release first.

Request the help for solving this issue. Please co-operate with your inputs if you know about this issue.

Thanks & Regards, 
Ruchir Nerurkar
857-701-3405
edit retag flag offensive close merge delete

Comments

You are not the only one. The link has a solution, perhaps it works for you as well.

Bernd Bausch gravatar imageBernd Bausch ( 2017-07-12 18:03:10 -0500 )edit

Hey Bernd, can you post me the solution link so i could use for reference?

Ruchir Nerurkar gravatar imageRuchir Nerurkar ( 2017-07-12 18:17:42 -0500 )edit

It's the blue text of my comment.

Bernd Bausch gravatar imageBernd Bausch ( 2017-07-14 00:13:33 -0500 )edit